Bug 590977 - [abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib64/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
[abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib64/firefox-3.5/firefox ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:ef8db54b9b1486958183d35918e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 02:31 EDT by dtdraganov
Modified: 2010-12-03 09:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:49:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (78.77 KB, text/plain)
2010-05-11 02:31 EDT, dtdraganov
no flags Details

  None (edit)
Description dtdraganov 2010-05-11 02:31:25 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/firefox-3.5/firefox
component: firefox
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib64/firefox-3.5/firefox
global_uuid: ef8db54b9b1486958183d35918e2b9c474ddf901
kernel: 2.6.32.11-99.fc12.x86_64
package: firefox-3.5.9-2.fc12
rating: 4
reason: Process /usr/lib64/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
Comment 1 dtdraganov 2010-05-11 02:31:27 EDT
Created attachment 413051 [details]
File: backtrace
Comment 2 Chris Campbell 2010-06-05 14:27:13 EDT
#2  <signal handler called>
No symbol table info available.
#3  0x0000003f32284657 in NewScopeProperty (cx=<value optimized out>, parent=
    0x7faf74d485c0, child=0x7fff924d9230) at jsscope.cpp:524
        sprop = 0x3f324c2ac0
#4  GetPropertyTreeChild (cx=<value optimized out>, parent=0x7faf74d485c0, 
    child=0x7fff924d9230) at jsscope.cpp:921
        rt = 0x7faf7889c000
        chunk = <value optimized out>
        i = <value optimized out>
        table = <value optimized out>
        entry = 0x0
        sprop = <value optimized out>
        n = <value optimized out>
#5  0x0000003f32284b71 in js_AddScopeProperty (cx=0x7faf76a6b800, scope=
    0x7faf545060a0, id=<value optimized out>, getter=<value optimized out>, 
    setter=0x7faf74d847c0, slot=4294967295, attrs=117, flags=0, shortid=0)
    at jsscope.cpp:1291
        spp = 0x7faf74d485e0
        overwriting = 0x0
        spp2 = <value optimized out>
        child = {id = 140391570156036, getter = 0x7faf74d847c0, setter = 
    0x7faf74d847c0, slot = 4294967295, attrs = 117 'u', flags = 0 '\000', 
          shortid = 0, parent = 0x7fff924d9270, kids = 0x7fff924d9278, 
          shape = 1960330304}
        size = <value optimized out>
        tvr = {down = 0x0, count = 0, u = {value = 140391555327072, object = 
    0x7faf74c8e460, string = 0x7faf74c8e460, xml = 0x7faf74c8e460, trace = 
    0x7faf74c8e460, sprop = 0x7faf74c8e460, weakRoots = 0x7faf74c8e460, 
            compiler = 0x7faf74c8e460, script = 0x7faf74c8e460, array = 
    0x7faf74c8e460}}
        spvec = <value optimized out>
        change = <value optimized out>
        sprop = <value optimized out>
        splen = <value optimized out>
        i = <value optimized out>
        index = 32687
#6  0x0000003f32259401 in js_DefineNativeProperty (cx=0x7faf76a6b800, obj=
    0x7faf74d84440, id=140391570156036, value=22, 
    getter=<value optimized out>, setter=<value optimized out>, attrs=117, 
    flags=0, shortid=0, propp=0x0, defineHow=0) at jsobj.cpp:3737
        clasp = 0x371318d790
        scope = <value optimized out>
        sprop = 0x0
        added = false
#7  0x0000003f3225974b in js_DefineProperty (cx=<value optimized out>, 
    obj=<value optimized out>, id=<value optimized out>, 
    value=<value optimized out>, getter=<value optimized out>, 
    setter=<value optimized out>, attrs=117, propp=0x0) at jsobj.cpp:3610
No locals.
#8  0x0000003f3221ac85 in JS_DefinePropertyById (cx=<value optimized out>, 
    obj=<value optimized out>, id=<value optimized out>, 
    value=<value optimized out>, getter=<value optimized out>, 
    setter=<value optimized out>, attrs=117) at jsapi.cpp:3114
No locals.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2010-06-05 14:28:05 EDT
Reporter, are you able to post steps to reliably reproduce this crash?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2010-11-03 11:07:52 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 09:49:58 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.